FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007281519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007281519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b0b9503 OS_GIT_VERSION=4.5.0-202007281519.p0-b0b9503 SOURCE_DATE_EPOCH=1590089545 SOURCE_GIT_COMMIT=b0b9503d446d57e81b5c3338ca369e84ebc9bf1c SOURCE_GIT_TAG=v0.0.0-alpha.0-666-gb0b9503d SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-apiserver-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-apiserver-operator
COPY . .
RUN GODEBUG=tls13=1 go build ./cmd/cluster-openshift-apiserver-operator

FROM openshift/ose-base:v4.5.0.20200728.152910
ENV __doozer=update BUILD_RELEASE=202007281519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007281519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b0b9503 OS_GIT_VERSION=4.5.0-202007281519.p0-b0b9503 SOURCE_DATE_EPOCH=1590089545 SOURCE_GIT_COMMIT=b0b9503d446d57e81b5c3338ca369e84ebc9bf1c SOURCE_GIT_TAG=v0.0.0-alpha.0-666-gb0b9503d SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-apiserver-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-apiserver-operator/cluster-openshift-apiserver-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_openshift-apiserver-operator_*.crd.yaml manifests/

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-apiserver-operator" \
        com.redhat.component="ose-cluster-openshift-apiserver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-apiserver" \
        release="202007281519.p0" \
        io.openshift.build.commit.id="b0b9503d446d57e81b5c3338ca369e84ebc9bf1c" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-apiserver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-apiserver-operator/commit/b0b9503d446d57e81b5c3338ca369e84ebc9bf1c" \
        version="v4.5.0"

